View Issue Details

IDProjectCategoryView StatusLast Update
0036521LazarusIDEpublic2020-02-28 20:35
ReporterCudaText man Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformUbuntu 18 x64 
Product Version2.1 (SVN) 
Summary0036521: IDE adds "Application.Title:=....." when it's not valid for console app
Descriptionfor attached project, change Project properties application name (from "Benchmark" to another); IDE adds line "Application.Title:=" to the lpr file, and file not cannot compile (it do NOT use Forms).
TagsNo tags attached.
Fixed in Revisionr62669
LazTarget-
Widgetset
Attached Files

Activities

CudaText man

2020-01-06 11:54

reporter  

test_benchmark.zip (1,838 bytes)

Juha Manninen

2020-01-12 11:42

developer   ~0120356

Project Options -> Miscellaneous pane has a checkbox for:
 Main unit has Application.Title statement
 
Why does your console project have it checked? I guess you changed it manually.
There are at least 2 other settings that make no sense for a console program, namely:
 Main unit has Application.CreateForm statements
 Main unit has Application.Scaled statement

The Application.Title statement actually makes sense with a "Console Application" which uses TCustomApplication.
IMO the actual bug is that those checkboxes are enabled also for a console program. The project type should be checked when options window is opened.
What other options should be disabled for a console program?

CudaText man

2020-01-12 13:48

reporter   ~0120358

Last edited: 2020-01-12 13:48

View 2 revisions

This option was set by initially making LPI project from LPR file, Ok, it's solved.

Juha Manninen

2020-02-24 10:55

developer   ~0121212

It was clearly a bug. I improved the logic in r62669. Now the LCL GUI options cannot be set for a console program any more.
Please test.
TCustomApplication.Title is a question. Is it used somewhere? Should it be updated in main unit?

CudaText man

2020-02-24 11:16

reporter   ~0121213

Last edited: 2020-02-24 11:17

View 2 revisions

I don't think that TCustomApp.Title is used anywhere. should not be updated.

Juha Manninen

2020-02-28 20:35

developer   ~0121266

Ok, resolving. There are no complaints in the mailing list either.

Issue History

Date Modified Username Field Change
2020-01-06 11:54 CudaText man New Issue
2020-01-06 11:54 CudaText man File Added: test_benchmark.zip
2020-01-12 11:42 Juha Manninen Assigned To => Juha Manninen
2020-01-12 11:42 Juha Manninen Status new => assigned
2020-01-12 11:42 Juha Manninen Note Added: 0120356
2020-01-12 13:48 CudaText man Note Added: 0120358
2020-01-12 13:48 CudaText man Note Edited: 0120358 View Revisions
2020-02-24 10:55 Juha Manninen Status assigned => feedback
2020-02-24 10:55 Juha Manninen LazTarget => -
2020-02-24 10:55 Juha Manninen Note Added: 0121212
2020-02-24 11:16 CudaText man Note Added: 0121213
2020-02-24 11:16 CudaText man Status feedback => assigned
2020-02-24 11:17 CudaText man Note Edited: 0121213 View Revisions
2020-02-28 20:35 Juha Manninen Status assigned => resolved
2020-02-28 20:35 Juha Manninen Resolution open => fixed
2020-02-28 20:35 Juha Manninen Fixed in Revision => r62669
2020-02-28 20:35 Juha Manninen Note Added: 0121266